# Class MemoryRole

java.lang.Object
org.apache.catalina.users.AbstractRole
org.apache.catalina.users.GenericRole<MemoryUserDatabase>
org.apache.catalina.users.MemoryRole

All Implemented Interfaces:
  `Principal, Role`

@Deprecated public class MemoryRole extends GenericRole<MemoryUserDatabase>
Deprecated.
Use `GenericRole` instead.

Concrete implementation of `Role` for the `MemoryUserDatabase` implementation of `UserDatabase`.

Since:
  4.1

## Field Summary

### Fields inherited from class GenericRole

`database`

### Fields inherited from class AbstractRole

`description, rolename`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Deprecated.
Return a String representation of this role in XML format.

### Methods inherited from class GenericRole

`equals, getUserDatabase, hashCode, setDescription, setRolename`

### Methods inherited from class AbstractRole

`getDescription, getName, getRolename`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Principal

`implies`

## Method Details

### toString

public String toString()
Deprecated.

Return a String representation of this role in XML format.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`